@import url('https://fonts.googleapis.com/css?family=Orbitron:400,500,700,900');
@import url('https://fonts.googleapis.com/css?family=Ubuntu:400,500,700,900');
@import url('https://fonts.googleapis.com/css?family=Pacifico');
@font-face {
    font-family: digital;
    src: url(digital.ttf);
}

@media (max-width: 380px) {
    body {
        padding: 0;
        margin: 0;
    }
    .calc-body {
        width: 94.5% !important;
        margin: 0 !important;
        border: none !important;
    }
    h1 {
        font-size: 22px !important;
    }
    .calc-body p {
        display: block !important;
        font-size: 12px;
        margin: 1px;
        padding: 1px;
    }
    .display {
        padding: 4px;
    }
    footer {
        display: none;
    }
}

body {

}

footer {
    font-family: 'Pacifico', cursive;
    text-align: center;
}

footer a {
    text-decoration: none;
}

h1 {
    
    font-size: 30px;
    font-family: 'Pacifico', cursive;
    margin: 0;
}

.calc-body {
    /*border: 1px solid lightgrey;*/
    border: none;
    box-shadow: 4px -4px 9px #e5e5e5;
    border-bottom: 6px solid lightgrey;
    border-left: 5px solid lightgrey;
    border-radius: 10px;
    background-color: white;
    width: 350px;
    margin-top: 25px;
    padding: 10px;
    text-align: center;
    transition: all 0.1s;
    -webkit-transition: all 0.1s;
}

.calc-body p {
    display: none;
    font-family: 'Pacifico', cursive;
}

.calc-body p a {
    text-decoration: none;
}

.display {
    box-shadow: 1px -1px 8px lightgrey inset;
    /*border: 1px solid lightgrey;*/
    border: none;
    border-top: 3px solid lightgrey;
    border-right: 3px solid lightgrey;
    border-radius: 3px;
    margin-bottom: 10px;
    margin-top: 15px;
    text-align: right;
    padding: 6px;
    font-family: digital;
}

.btns {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0;
}

#input {
    width: 100%;
    height: 30px;
    white-space: nowrap;
    font-size: 25px;
    overflow: hidden;
    padding: 2px;
}

#result {
    width: 100%;
    font-size: 45px;
    height: 50px;
    overflow: hidden;
    padding: 2px;
}

button:nth-child(1),
button:nth-child(2) {
    width: 36.8%;
}

button:last-child {
    width: 49.3%;
}

button {
    width: 24%;
    height: 65px;
    font-size: 50px;
    margin: 3px 0;
    border-radius: 10px;
    border: 0;
    color: white;
    /*background-color: dodgerblue;*/
    font-family: 'Ubuntu', sans-serif;
}

button:hover {
  cursor: pointer;
}

button:focus {
    outline: 0;
}


/* *****************************************************************************************/

.animate {
    transition: none 0.1s;
    -webkit-transition: all 0.1s;
}

.blue {
    background-color: #3498DB;
    border-bottom: 5px solid #2980B9;
    text-shadow: 0px -2px #2980B9;
}

.red {
    background-color: #E74C3C;
    border-bottom: 5px solid #BD3E31;
    text-shadow: 0px -2px #BD3E31;
}

.green {
    background-color: #82BF56;
    border-bottom: 5px solid #669644;
    text-shadow: 0px -2px #669644;
}

.yellow {
    background-color: #F2CF66;
    border-bottom: 5px solid #D1B358;
    text-shadow: 0px -2px #D1B358;
}

.active,
button:active {
    transform: translate(0px, 5px);
    -webkit-transform: translate(0px, 5px);
    border-bottom: 1px solid;
}
